org.jbpm.workflow.instance.node

## Class DynamicUtils

- java.lang.Object
- - org.jbpm.workflow.instance.node.DynamicUtils

-     public class DynamicUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addDynamicSubProcess(DynamicNodeInstance dynamicContext, org.kie.api.runtime.KieRuntime ksession, String processId, Map<String,Object> parameters)`
    `static void` | `addDynamicSubProcess(org.kie.api.runtime.process.ProcessInstance processInstance, org.kie.api.runtime.KieRuntime ksession, String processId, Map<String,Object> parameters)`
    `static void` | `addDynamicWorkItem(DynamicNodeInstance dynamicContext, org.kie.api.runtime.KieRuntime ksession, String workItemName, Map<String,Object> parameters)`
    `static void` | `addDynamicWorkItem(org.kie.api.runtime.process.ProcessInstance dynamicProcessInstance, org.kie.api.runtime.KieRuntime ksession, String workItemName, Map<String,Object> parameters)`
    `static void` | `internalAddDynamicSubProcess(WorkflowProcessInstance processInstance, DynamicNodeInstance dynamicContext, org.kie.api.runtime.KieRuntime ksession, String processId, Map<String,Object> parameters)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicUtils

          public DynamicUtils()

  - ### Method Detail

    - #### addDynamicWorkItem

          public static void addDynamicWorkItem(DynamicNodeInstance dynamicContext,
                                                org.kie.api.runtime.KieRuntime ksession,
                                                String workItemName,
                                                Map<String,Object> parameters)

    - #### addDynamicWorkItem

          public static void addDynamicWorkItem(org.kie.api.runtime.process.ProcessInstance dynamicProcessInstance,
                                                org.kie.api.runtime.KieRuntime ksession,
                                                String workItemName,
                                                Map<String,Object> parameters)

    - #### addDynamicSubProcess

          public static void addDynamicSubProcess(DynamicNodeInstance dynamicContext,
                                                  org.kie.api.runtime.KieRuntime ksession,
                                                  String processId,
                                                  Map<String,Object> parameters)

    - #### addDynamicSubProcess

          public static void addDynamicSubProcess(org.kie.api.runtime.process.ProcessInstance processInstance,
                                                  org.kie.api.runtime.KieRuntime ksession,
                                                  String processId,
                                                  Map<String,Object> parameters)

    - #### internalAddDynamicSubProcess

          public static void internalAddDynamicSubProcess(WorkflowProcessInstance processInstance,
                                                          DynamicNodeInstance dynamicContext,
                                                          org.kie.api.runtime.KieRuntime ksession,
                                                          String processId,
                                                          Map<String,Object> parameters)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.